complexType "NonNegativeMoney"

Namespace: | http://www.fpml.org/FpML-5/pretrade
Content: | complex, 1 attribute, 2 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definition of 1 element
Used: | at 8 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | currency?, amount?
</...>

Content Model Elements (2):

  amount (defined in NonNegativeMoney complexType), | currency (defined in MoneyBase complexType)

Known Direct Subtypes (1):

  FutureValueAmount

All Direct / Indirect Based Elements (8):

  changeInNotionalAmount (defined in TradeNotionalChange.model group),
  changeInNotionalAmount (in novationAmount),
  futureValueNotional,
  outstandingNotionalAmount (defined in TradeNotionalChange.model group),
  outstandingNotionalAmount (in novationAmount),
  paymentAmount (defined in Payment complexType),
  paymentAmount (in initialFee),
  paymentAmount (in payment defined in TradingEventSummary complexType)

Known Usage Locations

- In derivations of other global types (1):
  FutureValueAmount (as extension base)
- As direct type of elements (7):
  changeInNotionalAmount (defined in TradeNotionalChange.model group),
  changeInNotionalAmount (in novationAmount),
  outstandingNotionalAmount (defined in TradeNotionalChange.model group),
  outstandingNotionalAmount (in novationAmount),
  paymentAmount (defined in Payment complexType),
  paymentAmount (in initialFee),
  paymentAmount (in payment defined in TradingEventSummary complexType)

Annotation
A type defining a non negative money amount.
Type Definition Detail

Type Derivation Tree MoneyBase (extension) NonNegativeMoney

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="NonNegativeMoney"> <xsd:complexContent> <xsd:extension base="MoneyBase"> <xsd:sequence> <xsd:element minOccurs="0" name="amount" type="NonNegativeDecimal"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/2)
amount

  Type: | NonNegativeDecimal, simple content

  The non negative monetary quantity in currency units.
  Simple Content

  xsd:decimal

  minInclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="amount" type="NonNegativeDecimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.